## org.exist.ant
Class XMLDBQueryTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBQueryTask

public class XMLDBQueryTask
extends AbstractXMLDBTask

Ant task to execute an XQuery. The query is either passed as nested text in the element, or via an attribute "query". Please note that the task doesn't output the query results.

Author:
  wolf

Constructor Summary
`XMLDBQueryTask()`

Method Summary
`void` `addText(java.lang.String text)`
`void` `execute()`
`void` `setQuery(java.lang.String query)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBQueryTask

    public XMLDBQueryTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setQuery

    public void setQuery(java.lang.String query)

  Parameters:
    `query` -

### addText

    public void addText(java.lang.String text)

Copyright (C) Wolfgang Meier. All rights reserved.